org.apache.ignite.internal.util.lang

## Interface GridCursor<T>

All Known Implementing Classes:
  GridCursorIteratorWrapper

    public interface GridCursor<T>

Simple cursor abstraction. Initial state must be "before first".

### Method Summary

Methods
`T` `get()` Gets element at current position.
`boolean` `next()` Attempt to move cursor position forward.

### Method Detail

#### next

    boolean next()
                 throws IgniteCheckedException

Attempt to move cursor position forward.

Returns:
  `true` If we were able to move position of cursor forward.
Throws:
  `IgniteCheckedException` - If failed.

#### get

    T get()
          throws IgniteCheckedException

Gets element at current position. Must be called only after successful `next()` call.

Returns:
  Element at current position.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017